| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# URLInputSource Class Reference

This class is a derivative of the standard InputSource class. More...

Inheritance diagram for URLInputSource:

[legend]
Collaboration diagram for URLInputSource:

[legend]
List of all members.

## Public Methods

Constructors
| URLInputSource (const XMLURL &urlId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| This constructor accepts an already built URL.
| URLInputSource (const XMLCh *const baseId, const XMLCh *const systemId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| This constructor takes a base system id URL and a possibly relative system id.
| URLInputSource (const XMLCh *const baseId, const XMLCh *const systemId, const XMLCh *const publicId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| This constructor is indentical to the previous one, except that it also allows you to set a public id if you want to.
| URLInputSource (const XMLCh *const baseId, const char *const systemId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| This constructor is identical to the second constructor above, except that it accepts the relative system id part as a local code page string and just transcodes it internally, as a convenience.
| URLInputSource (const XMLCh *const baseId, const char *const systemId, const char *const publicId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| This constructor is identical to the third constructor above, except that it accepts the relative and public ids as local code page strings and just transcodes them internally, as a convenience.
Destructor
| ~URLInputSource ()
Virtual methods
BinInputStream * | makeStream () const
| This method will return a binary input stream derivative that will parse from the source refered to by the URL system id.
Getter methods
const XMLURL & | urlSrc () const
| This method will return a const reference to the URL member which contains the system id in pre-parsed URL form.

## Detailed Description

This class is a derivative of the standard InputSource class.

It provides for the parser access to data which is referenced via a URL, as apposed to a local file name. The URL can be provided via an XMLURL class, as a fully qualified system id, or a base system id and a system id which may be fully qualified or may be relative to the base.

As with all InputSource derivatives. The primary objective of an input source is to create an input stream via which the parser can spool in data from the referenced source.

Note that the parse system does not necessarily support URL based XML entities out of the box. Support for socket based access is optional and controlled by the per-platform support.

## Constructor & Destructor Documentation

URLInputSource::URLInputSource | ( | const XMLURL & | urlId,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

This constructor accepts an already built URL.

It is assumed that it is correct and it will be used as is. In this case, no public id accepted, but it can still be set via the parent class' setPublicId() method.

Parameters:

  urlId | The URL which holds the system id of the entity to parse.

URLInputSource::URLInputSource | ( | const XMLCh *const | baseId,
|  | const XMLCh *const | systemId,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

This constructor takes a base system id URL and a possibly relative system id.

The relative part is parsed and, if it is indeed relative, it will be made relative to the passed base id. Otherwise, it will be taken as is.

Parameters:

  baseId | The base system id URL which provides the base for any relative id part.
  systemId | The possibly relative system id URL. If its relative its based on baseId, else its taken as is.

URLInputSource::URLInputSource | ( | const XMLCh *const | baseId,
|  | const XMLCh *const | systemId,
|  | const XMLCh *const | publicId,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

This constructor is indentical to the previous one, except that it also allows you to set a public id if you want to.

Parameters:

  baseId | The base system id URL which provides the base for any relative id part.
  systemId | The possibly relative system id URL. If its relative its based on baseId, else its taken as is.
  publicId | The optional public id to set. This is just passed on to the parent class for storage.

URLInputSource::URLInputSource | ( | const XMLCh *const | baseId,
|  | const char *const | systemId,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

This constructor is identical to the second constructor above, except that it accepts the relative system id part as a local code page string and just transcodes it internally, as a convenience.

Parameters:

  baseId | The base system id URL which provides the base for any relative id part.
  systemId | The possibly relative system id URL. If its relative its based on baseId, else its taken as is.

URLInputSource::URLInputSource | ( | const XMLCh *const | baseId,
|  | const char *const | systemId,
|  | const char *const | publicId,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

This constructor is identical to the third constructor above, except that it accepts the relative and public ids as local code page strings and just transcodes them internally, as a convenience.

Parameters:

  baseId | The base system id URL which provides the base for any relative id part.
  systemId | The possibly relative system id URL. If its relative its based on baseId, else its taken as is.
  publicId | The optional public id to set. This is just passed on to the parent class for storage. on to the parent class for storage.

URLInputSource::~URLInputSource | ( |  | ) |

## Member Function Documentation

BinInputStream* URLInputSource::makeStream | ( |  | ) | `[virtual]`

| This method will return a binary input stream derivative that will parse from the source refered to by the URL system id. Implements InputSource.

const XMLURL & URLInputSource::urlSrc | ( |  | ) |

This method will return a const reference to the URL member which contains the system id in pre-parsed URL form.

If you just want the string format, call getSystemId() on the parent class.

Returns:
  A const reference to a URL object that contains the current system id set for this input source.

The documentation for this class was generated from the following file:

- URLInputSource.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.